PF2E Playlist
Page 13 of 16 First ... 31112131415 ... Last
  1. #121
    Sorry, I do not. I have been doing what you are doing for a new campaign. I'm "converting" the Edge of the Empire starter adventure as a short introduction for my DnD group. I'm also looking at some old Star Wars D20 modules as possible sources. They are much closer to how the SW5e would work and should be easier to convert.
    My FG implementation of SW5e: ruleset and module

  2. #122
    If you are doing Edge of Empire stuff conversion, i'd be interested in maybe doing a file swap of the Age of Rebellion stuff I am doing for it, when it is done of course....I am sure that either adventure would work for us using your original game system files. Maybe we can take turns cranking out adventures based on the older stuff too... If I get to adding any more NPC's from Fisto's I will include them too.

  3. #123
    Pico, with the updates to the SW5e PHB that were published today.... are those going to be implemented in an update for your modules? or are you too busy converting previous version adventures to tackle this right now? converting my own adventures i have found it a little daunting as well as time consuming, so i would certainly understand not being available to update the module at the moment.

  4. #124
    The SW5e PHB was announced to be "final" early in 2020 and would only have corrections and typo fixes.

    This was obviously not the case, and they have pretty much rewritten every class, background, spell and even equipment since it was "final".

    This is why my work has a download link to the PDF that matches what I've got in my module.
    My FG implementation of SW5e: ruleset and module

  5. #125

  6. #126

    Excited to try this!

    I was hoping for something like this! I’ve been using FG for a bit now and would love to run a Star Wars based campaign even if it wasn’t official, just something to bounce basic attributes against and some NPCs ideas, so this is perfect! Thanks for leaning forward and doing this!

    Quote Originally Posted by pico View Post
    This module and extension implement the SW5e rule set. This is a 5e (OGL) based conversion to a Star Wars universe.

    This work includes the PHB and Scum and Villainy (Monsters/NPCs) PDF content from the SW5e project (link below)

    The following extension and module must be loaded together to host a game using this ruleset.

    Extension: The extension named "sw5e.ext" must be in your extension folder and selected when you create your 5e campaign.
    Modules: The "SW5e Player Book.mod" must be in your modules folder and load from the Library->Modules tabs.

    My testing has shown that the module and the extension are compatible with both FGU and FGC

    FG Forum says my module is too big to upload, so you must get them from these links:

    Current Version:
    Download release version 3.0 here: release 3.0 download from GitHub

    Old Version for old campaign compatibility:
    Download the version 2.0 release from here: release 2 download from GitHub

    SW5e project website: https://www.sw5e.com/
    (I have no affiliation with the sw5e project)

    SW5e Content:
    10 new classes with dozens of subclasses
    35 new races (Species and driods)
    35 new backgrounds
    100 new feats
    400+ new spells (Powers)
    390 new Items/equipment
    276 new NPCs
    new weapons, creature types, damage types, skills, languages, and a single currency

    All my sources are on github: https://github.com/BeeGrinder/FantasyGrounds-SW5e

    Now includes spell and item effects inspired by and with permission of rob2e under condition that no money is ever charged for this work. Thanks!
    Spells with coding have (*FG Coding) in their description. Those without this note may need to be manually coded until I can update the newer spells.

    Be sure to read the notes below AND the reference section for DMs in the module. Because the SW5e rules do not perfectly match a true 5e game, some things do not function quite like a real 5e game. When I find these behaviors I make a note in these two areas. I try to fix them, but if I can not find a solution, I do my best to warn you so you are not surprised.

    I've also created a starfield background extension
    This extension replaces the current theme's background with a simple starfield. Works great with FG Dark or Simple Gray themes.

    Also, see the SW5e reddit: https://www.reddit.com/r/sw5e/

  7. #127
    I hope you can find it useful and create an enjoyable game.
    My FG implementation of SW5e: ruleset and module

  8. #128
    released update 3.0.10 of main module.

    More spells have usable effects to make FG automated combat easier.

    The character wizard should work to select Race, Class, Background and stat adjustments. But, Starting equipment and background bonus proficiency/equipment/money are not selected or added. Do it manually. Also, any inventory, spells, or feats are not tested to work yet.
    My FG implementation of SW5e: ruleset and module

  9. #129
    Hi Pico,

    First off, thank you very much for creating and maintaining this brilliant extension.

    I have recently upgraded Unity to Version 4.1.1 (2021-05) and since then have been unable to roll skill/ability checks. I grab the value from the character sheet then get the below error in the log. The roll doesn't happen and just the value of the ability is put in the chat. This also happens for Party Sheet rolls.

    "[5/19/2021 12:37:32 PM] [ERROR] Script execution error: [string "scripts/manager_action_check.lua"]:41: attempt to index global 'ActorManager2' (a nil value)

    (Filename: C:\buildslave\unity\build\Runtime/Export/Debug/Debug.bindings.h Line: 35)"

    I have tried this on a fresh campaign and I have downloaded the latest version of the EXT and MOD files from the Git hub page, this does not change things. This also doesn't happen on a Standard (fantasy) D&D5e campaign so I think it is related to the SW5E extension.

    Is this something that is known about?

    Kind Regards,
    Ritchie

  10. #130
    Thanks Ritchie887
    I am able to create a test game in 4.1 and all these seem to work.

    Another check is make sure you deleted the old extension and/or module. They have different file names because of version numbers. So, downloading doesn't necessarily overwrite.
    Make sure the old SW5e Supplement module is DELETED.

    Finally, to make sure something else isn't interfering, when loading the campaign, make sure only the SW5e extension is selected and the SW5e module is the only think loaded. The last big update caused a lot of problems in this and many other extensions. But, so far, I'm not seeing any issues.

    Update: On one of my computers I had an old SW5e campaign with some characters rolled up by some friends... I upgraded it to 4.1 and did not see any issues.

    This reinforces the theory that it must be some sort of interference from another extension or module.

    Sorry, but I can't think of any other things to try.
    Last edited by pico; May 19th, 2021 at 23:14.
    My FG implementation of SW5e: ruleset and module

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Starfinder Playlist

Log in

Log in